> For the complete documentation index, see [llms.txt](https://docs.omnata.com/omnata-product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omnata.com/omnata-product-documentation/omnata-sync-for-snowflake/apps/github/release-history.md).

# Release History

***

### V1.9

#### Created: 2025-10-23

* added properties to StreamConfiguration for completeness

***

### V1.8

#### Created: 2025-10-23

* fixed up billing events
* bumped version numbers

***

### V1.7

#### Created: 2025-06-14

* updated schemas to resolve the view creation issues

***

### V1.6

#### Created: 2025-06-12

* added check around pull request commits and comments to ensure there is data available before enqueing results.
* modified commits and pull request streams to utilize the lists returned instead of fetching data each item individually
* fixed schema for pull requests to fix json validation errors
* added pull request events stream
* added in repoistory stream
* added in branch stream
* added organization stream
* added organization members stream
* added organization teams stream

***

### V1.5

#### Created: 2025-06-04

Changed get\_github\_client to pass `Auth.Token`, `per_page=250`, `pool_size`, and `lazy=True` Introduced batch thresholds (`batch_size=100` for commits, `batch_size=10` for pull requests) and intermediate enqueue\_results calls Updated JSON schemas to use proper type hints and boolean defaults

***

### V1.4

#### Created: 2025-06-04

* fixed error with invalid dates for incremental syncs

***

### V1.3

#### Created: 2025-06-04

* fixed issue for pull request date objects being saved into state

***

### V1.2

#### Created: 2025-06-04

* ensured OAuth token is obtained at the start of a sync run

***

### V1.1

#### Created: 2025-05-29

* added OAuth App as authentication method

***

### V1.0

#### Created: 2025-05-06

* bumped version numbers
* added streams for pull requests, pull request commits and pull request comments
* updated logging framework

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omnata.com/omnata-product-documentation/omnata-sync-for-snowflake/apps/github/release-history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
